com.javax0.aptools

## Class There

- java.lang.Object
- - com.javax0.aptools.There

-     public class There
      extends java.lang.Object

  Helper class to check object and string existence.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `There()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `are(java.lang.Object[] o)` This method is same as `is(Object[])`.
    `static boolean` | `is(java.lang.Object s)` Checks that the object exists.
    `static boolean` | `is(java.lang.Object[] o)` Checks that the object array exists.
    `static boolean` | `is(java.lang.String s)` Checks that the string exists

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### There

          public There()

  - ### Method Detail

    - #### is

          public static boolean is(java.lang.Object[] o)

      Checks that the object array exists.
      Parameters:
        `o` - the object array
      Returns:
        `true` if the array is not null and has at least one element.

    - #### are

          public static boolean are(java.lang.Object[] o)

      This method is same as `is(Object[])`. This is complimentary method to make a call more readable when the argument is a variable or an expression that can be read plural e.g.: `There.is(strings)` is less readable than `There.are(strings)`.

    - #### is

          public static boolean is(java.lang.String s)

      Checks that the string exists
      Parameters:
        `s` - is the string to check
      Returns:
        `true` if the string is not null and is not zero length

    - #### is

          public static boolean is(java.lang.Object s)

      Checks that the object exists.
      Parameters:
        `s` - the object
      Returns:
        `true` if the object is not null

Copyright © 2014. All Rights Reserved.